body {
    margin: 0;
    padding: 0;
    background-color: #444;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.navbar {
    background-color: #333;
    color: white;
    padding: 10px;
    display: flex;
    justify-content: space-between;
}

.nav-button {
    background-color: #333;
    color: white;
    border: none;
    padding: 10px;
    padding-top: 8px;
    padding-left: 8px;
    padding-right: 8px;
    margin: 0;
    margin-top: 10px;
    margin-left: 2px;
    margin-right: 2px;
    border-radius: 10%;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.nav-button:hover {
    background-color: #444;
}

.nav-left, .nav-right {
    display: flex;
}

.container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin: 20px;
}

@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr; /* Change to a single column layout on smaller screens */
    }
}

.box {
    min-width: 256px;
    width: 100%; /* Take up the full width of the column */
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    border-radius: 10px;
    background-size: cover;
    background-position: center;
    position: relative;
    display: flex;
    align-items: flex-end;
}

.title {
    position: absolute;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    width: 100%;
    text-align: center;
    padding: 10px;
    padding-left: 0;
    padding-right: 0;
    border-radius: 0 0 10px 10px;
}

.video-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    padding: 15%;
    padding-top: 7.5%;
    width: 70%;
    height: 70%;
    min-height: 144px;
    max-height: 2160px;
    min-width: 256px;
    max-width: 3840px;
    background-color: rgba(0, 0, 0, 0.7); /* Semi-transparent black background */
    z-index: 9999; /* Ensure the overlay is on top */
}

.video-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: relative;
    padding-bottom: 56.25%; /* 16:9 aspect ratio (9 / 16 * 100) */
    height: 0;
    overflow: hidden;
}

/* Style for the exit button */
.exit-button {
    font-size: 5vw;
    height: 5vh;
    width: 5vw;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}